Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.resolve
[Java] Interface DependencyReport

    public interface DependencyReport

A dependency report returned by a DependencyManager instance

Authors:
  Graeme Rocher

Since:
  2.3

Method Summary
`java.util.List` | `getAllArtifacts()` @return All the artifacts
`java.lang.String` | `getClasspath()` @return The classpath as a string
`java.util.List` | `getJarFiles()` @return The JAR files
`java.util.List` | `getPluginZips()` @return The plugin zip files
`java.lang.Throwable` | `getResolveError()` @return The resolve error if there was one, otherwise null if no error occured
`java.util.List` | `getResolvedArtifacts()` @return The ResolvedArtifactReport instances for all resolved artifacts
`java.lang.String` | `getScope()` @return The scope of this report
`boolean` | `hasError()` @return Whether there was a resolve error

Method Detail

### getAllArtifacts

    public java.util.List getAllArtifacts()

  Returns:
    All the artifacts

### getClasspath

    public java.lang.String getClasspath()

  Returns:
    The classpath as a string

### getJarFiles

    public java.util.List getJarFiles()

  Returns:
    The JAR files

### getPluginZips

    public java.util.List getPluginZips()

  Returns:
    The plugin zip files

### getResolveError

    public java.lang.Throwable getResolveError()

  Returns:
    The resolve error if there was one, otherwise null if no error occured

### getResolvedArtifacts

    public java.util.List getResolvedArtifacts()

  Returns:
    The ResolvedArtifactReport instances for all resolved artifacts

### getScope

    public java.lang.String getScope()

  Returns:
    The scope of this report

### hasError

    public boolean hasError()

  Returns:
    Whether there was a resolve error

Groovy Documentation